"use strict";

function taggedToArray(_ref) {
  var t = _ref.types;
  var attrs = [];
  var name = null;
  var expression = null;
  return {
    visitor: {
      TaggedTemplateExpression: function TaggedTemplateExpression(path, state) {
        expression = path;
      },
      Identifier: function Identifier(path, state) {
        if (path.node.name === state.opts.keyword) {
          name = path.node.name;
        }
      },
      TemplateElement: function TemplateElement(path, state) {
        if (name === state.opts.keyword) {
          var _iteratorNormalCompletion = true;
          var _didIteratorError = false;
          var _iteratorError = undefined;

          try {
            for (var _iterator = path.node.value.raw.split(' ')[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
              var attr = _step.value;
              attrs.push("".concat(name, ".").concat(attr));
            }
          } catch (err) {
            _didIteratorError = true;
            _iteratorError = err;
          } finally {
            try {
              if (!_iteratorNormalCompletion && _iterator.return != null) {
                _iterator.return();
              }
            } finally {
              if (_didIteratorError) {
                throw _iteratorError;
              }
            }
          }

          expression.replaceWithSourceString("[".concat(attrs.toString(), "]"));
        }
      }
    }
  };
}

module.exports = taggedToArray;